http://guardduty.{region}.amazonaws.com/detector/{detectorId}<p>Updates the Amazon GuardDuty detector specified by the detectorId.</p> <p>There might be regional differences because some data sources might not be available in all the Amazon Web Services Regions where GuardDuty is presently supported. For more information, see <a href="https://docs.aws.amazon.com/guardduty/latest/ug/guardduty_regions.html">Regions and endpoints</a>.</p>
The unique ID of the detector to update.
Specifies whether the detector is enabled or not enabled.
Provides the features that will be updated for the detector.
Contains information about which data sources are enabled.
An enum value that specifies how frequently findings are exported, such as to CloudWatch Events.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://guardduty.{region}.amazonaws.com/detector/{detectorId}<p>Updates the Amazon GuardDuty detector specified by the detectorId.</p> <p>There might be regional differences because some data sources might not be available in all the Amazon Web Services Regions where GuardDuty is presently supported. For more information, see <a href="https://docs.aws.amazon.com/guardduty/latest/ug/guardduty_regions.html">Regions and endpoints</a>.</p>
The unique ID of the detector to update.
Specifies whether the detector is enabled or not enabled.
Provides the features that will be updated for the detector.
Contains information about which data sources are enabled.
An enum value that specifies how frequently findings are exported, such as to CloudWatch Events.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}